import os
from mel_parser import MELParser


def main():
    prog = '''
        read a read b
        c = a + b * (2 - 1) + 0
        if (c + 1)
            print c + 1
        else
            if (c + 2)
                print 1 + pow(c + 2, 2)
        a = 10
        while (a)
            a = a - 1
        a = 10
        b = 0
        for (; a; {a = a + 1 b = b - 1}) {
            print a
            print b
        }
        test (
          3, a + b
        )
    '''
    prog = MELParser.parse_prog(prog)
    print(*prog.tree, sep=os.linesep)


if __name__ == "__main__":
    main()
